# $Revision: 1.183 $, $Date: 2010/05/22 20:50:43 $
# TODO
# - should unmount /proc/fs/nfsd and /var/lib/nfs/rpc_pipefs at package
#	uninstall (or in service nfs stop)
#
# Conditional build:
%bcond_with	krb5		# build with MIT Kerberos instead of Heimdal
#
Summary:	Kernel NFS server
Summary(pl.UTF-8):	Działający na poziomie jądra serwer NFS
Summary(pt_BR.UTF-8):	Os utilitários para o cliente e servidor NFS do Linux
Summary(ru.UTF-8):	Утилиты для NFS и демоны поддержки для NFS-сервера ядра
Summary(uk.UTF-8):	Утиліти для NFS та демони підтримки для NFS-сервера ядра
Name:		nfs-utils
Version:	1.2.2
Release:	2
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.kernel.org/pub/linux/utils/nfs/%{name}-%{version}.tar.bz2
# Source0-md5:	dad92f64db3266c7757f71bb53ee8f35
#Source1:	ftp://ftp.linuxnfs.sourceforge.org/pub/nfs/nfs.doc.tar.gz
Source1:	nfs.doc.tar.gz
# Source1-md5:	ae7db9c61c5ad04f83bb99e5caed73da
Source2:	nfs.init
Source3:	nfslock.init
Source4:	nfsfs.init
Source5:	rpcidmapd.init
Source6:	rpcgssd.init
Source7:	rpcsvcgssd.init
Source8:	nfs.sysconfig
Source9:	nfslock.sysconfig
Source10:	nfsfs.sysconfig
Patch0:		%{name}-install.patch
Patch1:		%{name}-statdpath.patch
Patch2:		%{name}-subsys.patch
Patch3:		%{name}-union-mount.patch
Patch4:		%{name}-kerberos-ac.patch
Patch5:		%{name}-no_libgssapi.patch
Patch6:		%{name}-pkgconfig_ac.patch
Patch7:		%{name}-heimdal_functions.patch
URL:		http://nfs.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	cpp
%if %{with krb5}
BuildRequires:	krb5-devel >= 1.6
BuildRequires:	libgssglue-devel >= 0.1
%else
BuildRequires:	heimdal-devel >= 1.0
BuildConflicts:	libgssglue-devel
%endif
BuildRequires:	libblkid-devel
BuildRequires:	libcap-devel
BuildRequires:	libevent-devel >= 1.2
BuildRequires:	libnfsidmap-devel >= 0.21-3
BuildRequires:	librpcsecgss-devel >= 0.16
BuildRequires:	libtirpc-devel >= 1:0.1.10-4
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
# lucid context fields mismatch with current version of spkm3.h
BuildConflicts:	gss_mech_spkm3-devel
Requires(post):	fileutils
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts >= 0.4.1.5
Requires:	rpcbind >= 0.1.7
Requires:	setup >= 2.4.6-7
Provides:	nfsdaemon
Obsoletes:	knfsd
Obsoletes:	nfs-server
Obsoletes:	nfsdaemon
Conflicts:	kernel < 2.2.5
Conflicts:	krb5-common < 1.7
ExcludeArch:	armv4l
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the *new* kernel NFS server and related tools. It provides a
much higher level of performance than the traditional Linux user-land
NFS server.

%description -l pl.UTF-8
To jest *nowy* działający na poziomie jądra serwer NFS oraz związane z
nim narzędzia. Serwer ten dostarcza znacznie większą wydajność niż
tradycyjny, działający na poziomie użytkownika serwer NFS.

%description -l pt_BR.UTF-8
O pacote nfs-utils provê os utilitários para o cliente e servidor NFS
do Linux.

%description -l ru.UTF-8
Пакет nfs-utils предоставляет демона для NFS-сервера, включенного в
ядро, и сопутствующие утилиты, которые обеспечивают намного большую
производительность, чем традиционные Linux NFS-сервера, используемые
большинством пользователей.

%description -l uk.UTF-8
Пакет nfs-utils надає демона для NFS-сервера, вбудованого в ядро, та
супутні утиліти, які забезпечують набагато більшу продуктивність, ніж
традиційні Linux NFS-сервери, які використовує більшість користувачів.

%package clients
Summary:	Clients for connecting to a remote NFS server
Summary(pl.UTF-8):	Klienci do łączenia się ze zdalnym serwerem NFS
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	psmisc
Requires:	rc-scripts
Provides:	nfs-server-clients
Provides:	nfsclient
Obsoletes:	knfsd-clients
Obsoletes:	nfs-server-clients
Obsoletes:	nfsclient
Conflicts:	krb5-common < 1.7

%description clients
The nfs-server-clients package contains the showmount program.
Showmount queries the mount daemon on a remote host for information
about the NFS (Network File System) server on the remote host. For
example, showmount can display the clients which are mounted on that
host. This package is not needed to mount NFS volumes.

%description clients -l pl.UTF-8
Pakiet zawiera program showmount służący do odpytywania serwera NFS.
Showmount pyta demona na zdalnej maszynie o informacje NFS na zdalnym
hoście. Na przykład, showmount potrafi pokazać klientów, którzy są
zamountowani na tym serwerze. Ten pakiet nie jest konieczny do
zamountowania zasobów NFS.

%package lock
Summary:	Programs for NFS file locking
Summary(pl.UTF-8):	Programy do obsługi blokowania plików poprzez NFS (lock)
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Requires:	rpcbind >= 0.1.7
Provides:	group(rpcstatd)
Provides:	nfslockd
Provides:	user(rpcstatd)
Obsoletes:	knfsd-lock
Obsoletes:	nfslockd

%description lock
The nfs-lock pacage contains programs which support the NFS file lock.
Install nfs-lock if you want to use file lock over NFS.

%description lock -l pl.UTF-8
Ten pakiet zawiera programy umożliwiające wykonywanie blokowania
plików (file locking) poprzez NFS.

%package common
Summary:	Common programs for NFS
Summary(pl.UTF-8):	Wspólne programy do obsługi NFS
Group:		Networking
Requires:	libnfsidmap >= 0.21-3
Conflicts:	mount < 2.13-0.pre7.1

%description common
Common programs for NFS.

%description common -l pl.UTF-8
Wspólne programy do obsługi NFS.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%{!?with_krb5:%patch5 -p1}
%patch6 -p1
%patch7 -p0

# conflict with GNU stdio extension
sed -i -e 's/dprintf/dbgprintf/' support/include/ha-callout.h utils/statd/*.[ch]

%build
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-nfsv3 \
	--enable-nfsv4 \
	--enable-gss \
	--enable-mount \
	--enable-tirpc \
	--enable-ipv6 \
	--with-statedir=/var/lib/nfs \
	--with-statduser=rpcstatd \
	--with-start-statd=%{_sbindir}/start-statd \
	--with-tcp-wrappers \
	--with-krb5-config=%{_bindir}/krb5-config

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_var}/lib/nfs/{rpc_pipefs,v4recovery}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cat >$RPM_BUILD_ROOT%{_sbindir}/start-statd <<EOF
#!/bin/sh
# mount.nfs calls this script when mounting a filesystem with locking
# enabled, but when statd does not seem to be running (based on
# /var/run/rpc.statd.pid).
exec /sbin/service nfslock start
EOF

sed -e "s|#!/bin/bash|#!/bin/sh|" utils/gssd/gss_destroy_creds > $RPM_BUILD_ROOT%{_sbindir}/gss_destroy_creds

mv $RPM_BUILD_ROOT%{_sbindir}/rpcdebug $RPM_BUILD_ROOT/sbin

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfsfs
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/idmapd
install %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/gssd
install %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/svcgssd
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/nfsd
install %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/nfslock
install %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/nfsfs

> $RPM_BUILD_ROOT%{_var}/lib/nfs/rmtab
> $RPM_BUILD_ROOT%{_sysconfdir}/exports

rm $RPM_BUILD_ROOT%{_mandir}/man8/rpc.{mountd,nfsd,statd,sm-notify}.8
rm $RPM_BUILD_ROOT%{_mandir}/man8/rpc.{svcgssd,gssd,idmapd}.8
echo ".so mountd.8"  > 	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.mountd.8
echo ".so nfsd.8"    >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.nfsd.8
echo ".so statd.8"   >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.statd.8
echo ".so sm-notify.8" > $RPM_BUILD_ROOT%{_mandir}/man8/rpc.sm-notify.8
echo ".so gssd.8"    >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.gssd.8
echo ".so idmapd.8"  >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.idmapd.8
echo ".so svcgssd.8" >	$RPM_BUILD_ROOT%{_mandir}/man8/rpc.svcgssd.8

touch $RPM_BUILD_ROOT/var/lib/nfs/xtab

ln -sf /bin/true $RPM_BUILD_ROOT/sbin/fsck.nfs

cp -a nfs html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nfs
%service nfs restart "NFS daemon"
/sbin/chkconfig --add svcgssd
%service svcgssd restart "RPC svcgssd"

%preun
if [ "$1" = "0" ]; then
	%service nfs stop
	/sbin/chkconfig --del nfs
	%service svcgssd stop
	/sbin/chkconfig --del svcgssd
fi

%post clients
/sbin/chkconfig --add nfsfs
%service nfsfs restart
/sbin/chkconfig --add gssd
%service gssd restart "RPC gssd"

%preun clients
if [ "$1" = "0" ]; then
	%service nfsfs stop
	/sbin/chkconfig --del nfsfs
	%service gssd stop
	/sbin/chkconfig --del gssd
fi

%pre lock
%groupadd -g 191 rpcstatd
%useradd -u 191 -d /var/lib/nfs/statd -s /bin/false -c "RPC statd user" -g rpcstatd rpcstatd

%post lock
/sbin/chkconfig --add nfslock
%service nfslock restart "RPC statd"

%preun lock
if [ "$1" = "0" ]; then
	%service nfslock stop
	/sbin/chkconfig --del nfslock
fi

%postun lock
if [ "$1" = "0" ]; then
	%userremove rpcstatd
	%groupremove rpcstatd
fi

%post common
/sbin/chkconfig --add idmapd
%service idmapd restart "RPC idmapd"

%preun common
if [ "$1" = "0" ]; then
	%service idmapd stop
	/sbin/chkconfig --del idmapd
fi

%triggerpostun -- %{name} < 1.1.0-0.rc1.1
/sbin/chkconfig nfs reset
/sbin/chkconfig svcgssd reset

%triggerpostun lock -- %{name}-lock < 1.1.0-0.rc1.1
/sbin/chkconfig nfslock reset

%triggerpostun clients -- %{name}-clients < 1.1.0-0.rc1.1
if [ -f /etc/sysconfig/nfsclient.rpmsave ]; then
	mv -f /etc/sysconfig/nfsfs{,.rpmnew}
	mv -f /etc/sysconfig/nfsclient.rpmsave /etc/sysconfig/nfsfs
fi
/sbin/chkconfig nfsfs reset
/sbin/chkconfig gssd reset

%triggerpostun common -- %{name}-common < 1.1.0-0.rc1.1
/sbin/chkconfig idmapd reset

%files
%defattr(644,root,root,755)
%doc ChangeLog README html
%attr(755,root,root) /sbin/rpcdebug
%attr(755,root,root) /sbin/fsck.nfs
%attr(755,root,root) %{_sbindir}/exportfs
%attr(755,root,root) %{_sbindir}/rpc.mountd
%attr(755,root,root) %{_sbindir}/rpc.nfsd
%attr(755,root,root) %{_sbindir}/nfsstat

%attr(754,root,root) /etc/rc.d/init.d/nfs

%attr(664,root,fileshare) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/exports
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nfsd
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/xtab
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/etab
%config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/rmtab

%{_mandir}/man5/exports.5*
%{_mandir}/man7/nfsd.7*
%{_mandir}/man8/exportfs.8*
%{_mandir}/man8/mountd.8*
%{_mandir}/man8/nfsd.8*
%{_mandir}/man8/nfsstat.8*
%{_mandir}/man8/rpc.mountd.8*
%{_mandir}/man8/rpc.nfsd.8*
%{_mandir}/man8/rpcdebug.8*
%attr(754,root,root) /etc/rc.d/init.d/svcgssd
%attr(755,root,root) %{_sbindir}/rpc.svcgssd
%{_mandir}/man8/*svcgss*

%files lock
%defattr(644,root,root,755)
%attr(700,rpcstatd,rpcstatd) %dir %{_var}/lib/nfs/statd
%attr(700,rpcstatd,rpcstatd) %dir %{_var}/lib/nfs/statd/sm
%attr(700,rpcstatd,rpcstatd) %dir %{_var}/lib/nfs/statd/sm.bak
%attr(600,rpcstatd,rpcstatd) %config(noreplace) %verify(not md5 mtime size) %{_var}/lib/nfs/statd/state
%attr(755,root,root) %{_sbindir}/rpc.statd
%attr(755,root,root) %{_sbindir}/sm-notify
%attr(755,root,root) %{_sbindir}/start-statd
%attr(754,root,root) /etc/rc.d/init.d/nfslock
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nfslock
%{_mandir}/man8/*statd.8*
%{_mandir}/man8/*sm-notify.8*

%files clients
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/nfsfs
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nfsfs
%attr(755,root,root) %{_sbindir}/showmount
%{_mandir}/man8/showmount.8*
%attr(4755,root,root) /sbin/mount.nfs
%attr(4755,root,root) /sbin/umount.nfs
%attr(4755,root,root) /sbin/mount.nfs4
%attr(4755,root,root) /sbin/umount.nfs4
%{_mandir}/man8/*mount.nfs.8*
%attr(754,root,root) /etc/rc.d/init.d/gssd
%attr(755,root,root) %{_sbindir}/rpc.gssd
%{_mandir}/man8/rpc.gssd*
%{_mandir}/man8/gssd*

%files common
%defattr(644,root,root,755)
%dir %{_var}/lib/nfs
%dir %{_var}/lib/nfs/rpc_pipefs
%dir %{_var}/lib/nfs/v4recovery
%{_mandir}/man5/nfs*
%attr(754,root,root) /etc/rc.d/init.d/idmapd
%attr(755,root,root) %{_sbindir}/gss_*
%attr(755,root,root) %{_sbindir}/rpc.idmapd
%{_mandir}/man[58]/*idmap*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nfs-utils.spec,v $
Revision 1.183  2010/05/22 20:50:43  sparky
- BR: libcap-devel
- adpterized

Revision 1.182  2010/04/12 12:31:29  baggins
- rel 2

Revision 1.181  2010/02/24 16:35:24  baggins
- updated to 1.2.2

Revision 1.180  2009/07/02 14:10:18  baggins
- rel 4
- reverse heimdal bcond to krb5, build with heimdal

Revision 1.179  2009/07/02 12:16:20  baggins
- BC libgssglue-devel if build against heimdal

Revision 1.178  2009/07/01 20:42:18  baggins
- more bcond cleanup

Revision 1.177  2009/07/01 20:33:09  baggins
- rel 3

Revision 1.176  2009/07/01 20:26:01  baggins
- removed keytab-path patch (krb5.keytab back in /etc as of krb5 1.7)
- C krb5-common < 1.7 due to above
- clean up heimdal bcond

Revision 1.175  2009/06/30 14:39:47  baggins
- rel 2
- added heimdal support and bcond

Revision 1.174  2009/06/02 21:00:25  baggins
- rel 1
- removed obsolete patch (merged upstream)

Revision 1.173  2009/06/02 20:51:38  baggins
- 1.2.0

Revision 1.172  2009/05/20 14:54:51  baggins
- union mount support
- BR libblkid-devel instead of e2fsprogs-devel

Revision 1.171  2009/03/15 11:22:57  baggins
- rel 2
- replaced hardcoded regex with a setting in `nfsfs stop()` command

Revision 1.170  2009/03/05 14:06:39  baggins
- switch from portmap to rpcbind

Revision 1.169  2009/03/05 14:05:05  baggins
- rel 1
NOTE for rev. 1.167:
- removed mount and nfs4 bconds, no point in keeping them
- added build toolchain fixes from Chuck Lever's git
- updated Rs and BRs
- updated configure options
- build with ipv6 and TI RPC support
- package statd dirs properly

Revision 1.168  2009/03/05 13:59:19  baggins
- 1.1.5

Revision 1.167  2009/03/04 23:35:42  baggins
- started update to 1.1.4
- removed outdated patches
- IPv6 patches and other Steve Dickson's fixes on the way

Revision 1.166  2008/11/18 20:58:13  glen
- -common conflicts with mount containing nfs.5 for smoother upgrade path with poldek; rel 4

Revision 1.165  2008/10/27 10:41:43  blues
- CVE note

Revision 1.164  2008/10/07 22:58:30  glen
- release 3 (libevent rebuild)

Revision 1.163  2008/09/01 12:43:39  arekm
- release 2

Revision 1.162  2008/08/27 16:57:35  qboosh
- updated to 1.1.3 [fixes CVE-2008-4552]
- removed obsolete CITI_NFS4 patch (included in release)

Revision 1.161  2008/08/14 16:24:16  arekm
- release 2

Revision 1.160  2008/07/18 20:13:36  qboosh
- updated to 1.1.2
- updated CITI_NFS4 patch

Revision 1.159  2008/06/29 17:17:37  adamg
- full ac/am rebuild
- release 4

Revision 1.158  2008-02-06 20:45:45  glen
- never use '<=' in trigger comparision; rel 3

Revision 1.157  2007-11-18 18:03:31  arekm
- rel 2

Revision 1.156  2007-11-03 12:51:31  qboosh
- updated to 1.1.1
- updated CITI_NFS4 patch
- removed obsolete mount-fake,mountd-leak,libgssglue,mount-nosharecache patches

Revision 1.155  2007/09/26 12:14:36  baggins
- rel 6
- add support for the 'nosharecache' mount option

Revision 1.154  2007/09/25 16:53:37  baggins
- autoconf
- updated BR librpcsecgss

Revision 1.153  2007/09/25 16:51:39  baggins
- rel 5
- build with libgssglue

Revision 1.152  2007/09/25 16:09:51  baggins
- rel 4
- init scripts fixes

Revision 1.151  2007/09/17 17:03:19  baggins
- rel 3

Revision 1.150  2007/09/15 18:17:39  qboosh
- typo

Revision 1.149  2007/09/15 18:15:30  areq
- fix without nfs4

Revision 1.148  2007/08/14 14:13:47  baggins
- rel 2
- updated CITI NFS4 patch

Revision 1.147  2007/05/11 11:35:09  baggins
- 1.1.0 final

Revision 1.146  2007/05/08 17:12:47  baggins
- updated to 1.1.0-rc2
- disabled CITI patch, it does give only bleeding edge experimental stuff
  and we don't have the kernel part of it

Revision 1.145  2007/04/26 17:00:43  baggins
- R: rc-scripts >= 0.4.1.5 for check_portmapper function

Revision 1.144  2007/04/06 10:04:43  baggins
- little typo

Revision 1.143  2007/04/06 09:40:46  baggins
- update/clean TODO
- updated CITI and fake patches
- removed bash from scripts
- added proper start-statd script
- consistent service messages
- cleaned up init scripts
- updated triggers

Revision 1.142  2007/04/04 23:23:28  baggins
- started update to 1.1.0-rc1
- killed obsolete patches and hacks
- (rpc.)lockd is gone (wasn't really doing anything)

Revision 1.141  2007/03/31 21:56:10  baggins
- consistent subsys locking with mount.nfs4 and rc-scripts

Revision 1.140  2007/03/30 23:46:01  baggins
- unify krb5.keytab path krb5

Revision 1.139  2007/03/30 23:41:11  baggins
- Death to heimdal!
- switched to MIT kerberos because it Just Works (krb5 mounts and exports)

Revision 1.138  2007/03/26 13:33:40  baggins
- revert previous change, I know what I'm doing

Revision 1.137  2007/03/26 13:18:49  glen
- correct trigger version

Revision 1.136  2007/03/25 22:35:22  baggins
- rel 8
- change nfs checkconfig priorities as mountd must be started before idmapd
- updated trigger

Revision 1.135  2007/03/22 13:47:46  baggins
- rel 7
- use MOUNTD_PORT in nfs.init
- fixed Fedora patch for fake mount

Revision 1.134  2007/03/21 14:10:08  baggins
- looks good, release 6

Revision 1.133  2007/03/21 13:44:06  baggins
- fixed bugs in initscripts
- sync idmapd.conf with libnfsidmap

Revision 1.132  2007/03/21 00:55:36  baggins
- final quota touch

Revision 1.131  2007/03/21 00:53:32  baggins
- typos
- kill rquotad - we don't use it since 2002 (5 years!)

Revision 1.130  2007/03/21 00:39:50  baggins
- added post/preun scripts for new services

Revision 1.129  2007/03/20 18:36:19  baggins
- build mount.nfs (with bcond)
- add special user for rpc.statd
- move statd stuff to /var/lib/nfs/statd
- reset chkconfig levels on upgrade (trigger)
- added bugfixes from fedora
- added initscripts for NFSv4 damons

Revision 1.128  2007/03/19 18:42:53  baggins
- revert previous change, it's pointles as those daemons are linke with
  too many libraries from /usr/lib
- mount nfs and nfs4 filesystems separately in nfsfs.init

Revision 1.127  2007/03/19 17:29:37  baggins
- rel 5
- move NFSv4 client daemons to /sbin in case of /usr over NFSv4

Revision 1.126  2007/03/19 14:53:41  baggins
- rel 4
- fixed mem leak in mountd
- BR: e2fsprogs-devel that do not leak

Revision 1.125  2007/03/18 21:58:36  baggins
- rel 3
- fixed nfsfs init script

Revision 1.124  2007/03/14 18:16:41  baggins
- BR cpp (yes it's really required, and yes this BR is needed)

Revision 1.123  2007/03/14 17:42:51  baggins
- BR e2fsprogs-devel (libblkid)

Revision 1.122  2007/03/14 14:29:47  baggins
- rel 2
- cleaned up init.d scripts

Revision 1.121  2007/03/11 00:07:19  qboosh
- updated to 1.0.12
- updated heimdal,heimdal-internals patches
- updated CITI_NFS4 patch based on patch for 1.0.11
- removed obsolete nolibs patch
- nhfs* utils are gone

Revision 1.120  2007/03/09 11:22:27  arekm
- rel 8

Revision 1.119  2007/02/22 13:21:36  arekm
- rel 7; rebuild

Revision 1.118  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.117  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.116  2006/11/02 10:57:26  wiget
- rebuild with libevent 1.2

Revision 1.115  2006/10/19 10:30:06  glen
- rel 6

Revision 1.114  2006/10/13 07:08:20  glen
- rel 5

Revision 1.113  2006/10/02 20:01:21  glen
- rel 4

Revision 1.112  2006/09/24 09:49:59  kosmo
- added missing br: libtool,
- enabled tcp_wrappers usage,
  (older releases were not linked with libwrap and /etc/tcpd/hosts.* were not used)
- SECURITY STBR !

Revision 1.111  2006/08/30 11:58:44  glen
- unify nfsfs service syconfig file for %service usage
- fix install re-entrancy
- rel 2

Revision 1.110  2006/08/21 20:52:31  glen
- rel 1

Revision 1.109  2006/08/16 19:26:34  qboosh
- updated to 1.0.10, updated CITI patch

Revision 1.108  2006/07/18 12:04:11  qboosh
- updated to 1.0.9, updated heimdal and CITI patches

Revision 1.107  2006/06/11 19:42:54  areq
- no patch URL

Revision 1.106  2006/06/10 23:59:28  areq
- update NFS4

Revision 1.105  2006/05/15 18:20:38  qboosh
- removed obsolete time patch

Revision 1.104  2006/05/13 13:01:29  qboosh
- BR: librpcsecgss-devel with fixed .pc file

Revision 1.103  2006/05/08 15:55:38  baggins
- merge from AC-branch with CITI patch

Revision 1.102  2006/05/04 20:57:26  wiget
- rebuild with libevent 1.1a
- release 5

Revision 1.101  2006/03/27 08:32:09  qboosh
- sorted BRs

Revision 1.100  2006/03/26 18:13:52  areq
- BuildRequires: libnfsidmap-devel

Revision 1.99  2006/03/05 15:20:15  glen
- use %service, adapterized, cosmetics

Revision 1.98  2005/11/09 20:48:06  glen
- add todo: /proc/fs/nfsd is left mounted when package is erased

Revision 1.97  2005/09/22 15:17:29  arekm
- add v4recovery (nfs state recovery directory)

Revision 1.96  2005/08/09 17:11:04  areq
- add rquotad-curblocks.patch (LINUX_QUOTA_VERSION 2 support)

Revision 1.95  2005/07/10 10:16:12  arekm
- add hack for heimdal 0.7 (expose internal struct)

Revision 1.94  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.93  2005/05/27 14:10:37  arekm
- move /var/lib/nfs to common package

Revision 1.92  2005/05/27 13:26:31  arekm
- new common subpackage used by clients and servers

Revision 1.91  2005/05/26 22:29:28  arekm
- future nfs4 work (buils properly)

Revision 1.90  2005/05/23 12:23:26  qboosh
- more idmap stuff bconded

Revision 1.89  2005/05/23 12:16:01  qboosh
- added nfs4 bcond

Revision 1.88  2005/02/27 21:50:53  arekm
- enable gss and nfs4

Revision 1.87  2004/12/22 14:10:27  hawk
- oops

Revision 1.86  2004/12/22 13:59:10  hawk
- release 2 (1 for RA)

Revision 1.85  2004/12/22 12:53:06  qboosh
- updated to 1.0.7, updated nolibs,usn36 patches
- disable NFSv4 and Kerberos for now (unmet deps)

Revision 1.84  2004/12/14 14:22:27  qboosh
- rc-scripts >= 0.4.0 needed (kernelverser function)

Revision 1.83  2004/12/14 07:25:43  adamg
- usn36.patch added (CAN-2004-1014)
- release 10

Revision 1.82  2004/12/05 01:28:40  glen
- do not disable nfsv3; rel 9; STBR

Revision 1.81  2004/10/21 14:14:28  djurban
- samba rel 4, kdelibs 2, nfs-utils 8
- Prereq setup .6-7 sent to ac

Revision 1.80  2004/10/19 19:01:00  qboosh
- PreReq for setup

Revision 1.79  2004/10/19 18:08:39  djurban
- fileshare instead of samba stbring

Revision 1.78  2004/10/19 16:47:05  djurban
- one more config file with samba group (maybe it should be called filesharing? thats irrelevant anyway)

Revision 1.77  2004/09/07 20:13:47  twittner
- allow to pass options to rpc.statd via STATDOPTS in /etc/sysconfig/nfslock
- rel. 6

Revision 1.76  2004/09/05 22:23:56  arekm
- rel 5; add mounting of /proc/fs/nfsd

Revision 1.75  2004/06/19 21:54:27  averne
- rel 4 for rebuild in Ac

Revision 1.74  2004/06/05 22:01:29  arekm
- fsck.nfs moved to nfs-utils

Revision 1.73  2004/03/26 21:55:00  ankry
- rel. 3 for Ac (2 is for Ra)

Revision 1.72  2003/10/07 08:57:14  areq
- 1.0.6

Revision 1.71  2003/08/26 17:00:29  baggins
- release 2.1
- /var/lib/nfs/state belongs to lock package, but what to do with
  /var/lib/nfs dir now?

Revision 1.70  2003/08/12 08:15:05  qboosh
- URL

Revision 1.69  2003/08/11 19:14:24  qboosh
- added nolibs patch to avoid unnecessary -lnsl
- typos, release 2

Revision 1.68  2003/07/28 22:39:10  blues
- cosmetics

Revision 1.67  2003/07/22 17:07:24  adamg
- updated to 1.0.5
- removed obsolete -use-after-free.patch
- added missing nhfs{graph,nums,run} binaries and manpages
- added missing /var/lib/nfs/state
- added missing nfsd.7 manpage

Revision 1.66  2003/07/14 19:16:23  baggins
- release 2
- Trond should be much more careful what he's doing

Revision 1.65  2003/07/14 17:31:17  baggins
- added install patch (don't play with chown, chmod)

Revision 1.64  2003/07/14 17:24:33  baggins
- secfix patch no longer needed

Revision 1.63  2003/07/14 17:16:37  baggins
- version 1.0.4
- SECURITY UPGRADE

Revision 1.62  2003/07/14 16:56:59  misi3k
- rel 2
- added security patch
  BUG(redhat RHSA-2003:206-01):
    buffer overflow bug in nfs-utils version 1.0.3
    and earlier.  This bug could be exploited by an attacker,
    causing a remote Denial of Service (crash).
    It is not believed that this bug could lead to remote arbitrary code execution.

Revision 1.61  2003/06/13 10:17:17  misi3k
- Source0 cosmetics

Revision 1.60  2003/05/28 12:59:53  malekith
- massive attack: source-md5

Revision 1.59  2003/05/25 05:51:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.58  2003/03/28 14:58:36  areq
- 1.0.3

Revision 1.57  2003/02/28 10:08:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.56  2003/01/18 20:16:55  qboosh
- up to 1.0.1
- more specific Requires, use umask before sed, added missing nhfsstone(8) man

Revision 1.55  2002/10/11 08:54:24  wojrus
- little fix in nfsfs.spec
- rel 9, STBR

Revision 1.54  2002/09/06 18:34:02  blues
-  release 8 - new doc, removed duplicate directory ownerships. STBR

Revision 1.53  2002/05/27 12:03:41  baggins
- release 7
- we don't want rquotad from this package - it sux0rz

Revision 1.52  2002/05/21 23:14:14  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/04 20:06:17  kloczek
- release 6,
- fix restart target in nfs server init script (hanging clints on restart server),
- merge translations from KSI.

Revision 1.50  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/02/06 17:16:27  blues
- release 5
- fixed broken init script
  STB

Revision 1.48  2002/01/25 22:19:31  blues
- release 4
- rebuild with corrected nfsfs init script
  STB

Revision 1.47  2002/01/18 02:14:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/12/24 23:11:22  qboosh
- added lock checking in nfslock and rquotad init scripts
  (nfsfs doesn't require it)
- release 3

Revision 1.45  2001/12/08 16:45:51  kloczek
- release 2,
- merge translations from Conectiva.

Revision 1.44  2001/11/30 23:10:19  qboosh
- adapterized, typos, cosmetics
- check locks in nfs.init start/stop (TODO: the same in nfsfs,nfslock,rquotad)

Revision 1.43  2001/11/17 18:52:39  areq
- 0.3.3
- remove nfs-utils-cwd.patch

Revision 1.42  2001/11/05 14:55:50  rrw
- requires psmisc in clients package (for fuser in nfsfs.init);
- release 11;

Revision 1.41  2001/09/25 09:27:15  qboosh
- release 10: added Prereq: /sbin/chkconfig to all subpackages

Revision 1.40  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.38  2001/07/24 15:13:03  blues
- ac 2.5 ready
- traslations corrected

Revision 1.37  2001/06/15 16:04:47  baggins
- prereq rc-scripts
- release 4

Revision 1.36  2001/05/28 22:14:12  kloczek
- release 8.

Revision 1.35  2001/05/28 17:17:30  klakier
- added cwd.patch got from maintainer (change cwd to statedir)

Revision 1.34  2001/03/11 14:50:18  kloczek
- merge eepro-support rawhide patch.

Revision 1.33  2001/03/11 14:33:15  kloczek
- updated to 0.3.1,
- new Source url.

Revision 1.32  2001/03/10 21:11:43  misiek
- time patch

Revision 1.31  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.30  2000/09/30 17:39:37  kloczek
- s#install -s#install #.

Revision 1.29  2000/09/29 17:05:26  baggins
- release 2
- fixed init priorities

Revision 1.28  2000/09/28 19:46:37  kloczek
- updated to 0.2.1,
- added using rpm new automation suit,
- adaptrized.

Revision 1.27  2000/09/05 01:15:23  kloczek
- updated to 0.2.

Revision 1.26  2000/07/21 18:30:43  zagrodzki
- release 2

Revision 1.25  2000/07/21 18:30:28  zagrodzki
- fixed baggins's typo...

Revision 1.24  2000/07/11 20:17:56  baggins
- updated to 0.1.9.1

Revision 1.23  2000/06/19 06:34:51  kloczek
- typo in %post clients.

Revision 1.22  2000/06/19 06:12:52  kloczek
- typo in %preun rquotad,
- standarized %post/%preun clients subpackage.

Revision 1.21  2000/06/19 03:00:04  kloczek
- release 2,
- added "Obsoletes: quota-rquotad" in rquotad subpackage.

Revision 1.20  2000/06/09 07:23:26  kloczek
- added using %{__make} macro.

Revision 1.19  2000/06/07 04:12:15  kloczek
- spec adapterized.

Revision 1.18  2000/06/07 03:37:39  kloczek
- updated to 0.1.8,
- standarized %preun secripts.

Revision 1.17  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.16  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.15  2000/04/03 07:42:45  waszi
- typonfs-utils.spec

Revision 1.14  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.12  2000/02/08 15:22:05  baggins
- added /etc/rc.d/init.d/nfsfs to clients package
- added post/preun scripts to clients package

Revision 1.11  2000/01/31 21:49:54  kloczek
- updated to 0.1.6,
- removed not neccessary now rquotad patch,
- spec adapterized.

Revision 1.10  1999/12/03 15:31:28  baggins
- release 4
- nfs.init (stop) : moved exportfs -ua after
        stopping nfsd to stop spurious ESTALE on server shutdown.

Revision 1.9  1999/12/01 19:57:32  baggins
- added %dir %{_var}/state/nfs to lock package

Revision 1.8  1999/12/01 18:42:28  baggins
- release 3
- removed Requires:       %{name} = %{version} from lock, it does not

Revision 1.7  1999/12/01 14:53:45  baggins
- added post/preun scripts to rquotad package

Revision 1.6  1999/12/01 14:51:53  baggins
- added rquotad subpackage

Revision 1.5  1999/11/30 17:30:26  baggins
- clean up patches

Revision 1.4  1999/11/30 16:06:20  baggins
- typo

Revision 1.3  1999/11/30 15:55:50  baggins
- typo

Revision 1.2  1999/11/30 14:25:53  baggins
- fixed source URL
- updated to 0.1.3

Revision 1.1  1999/11/30 14:02:31  baggins
- obsoletes, provides: nfsdaemon for all packges
- obsoletes, provides: nfslockd for knfsd-lock and nfs-utils-lock
- obsoletes, provides: nfsclents for all -clients packages
- new, universal rc-scripts
- %config noreplace /etc/exports
- removed rpc.rquotad from knfsd and nfs-utils
